# ~/.config/helix/languages.toml

[[language]]
name = "python"
language-servers = ["pylsp"]
auto-format = true

[language-server.pylsp.config.pylsp.plugins.pycodestyle]
maxLineLength = 100

[[language]]
name = "bash"
language-servers = ["bash-language-server"]

[[language]]
name = "markdown"
language-servers = ["marksman"]

[[language]]
name = "json"
language-servers = ["vscode-json-language-server"]

[[language]]
name = "yaml"
language-servers = ["yaml-language-server"]

[[language]]
name = "html"
language-servers = ["vscode-html-language-server"]

[[language]]
name = "css"
language-servers = ["vscode-css-language-server"]

[[language]]
name = "go"
language-servers = ["gopls"]

[[language]]
name = "rust"
language-servers = ["rust-analyzer"]

[[language]]
name = "zig"
language-servers = ["zls"]

[[language]]
name = "powershell"
language-servers = ["powershell-editor-services"]

[[language]]
name = "latex"
scope = "source.tex"
file-types = ["tex", "sty", "cls", "dtx"]
roots = ["main.tex", ".latexmkrc", "body-osr.md"]
comment-token = "%"
indent = { tab-width = 2, unit = "  " }
language-servers = ["texlab"]

[language.auto-pairs]
'(' = ')'
'{' = '}'
'[' = ']'
'"' = '"'
'`' = "'"
'$' = '$'
